Name:          argparse4j
Version:       0.4.4
Release:       2%{?dist}
Summary:       The command-line parser library based on Python's argparse
# files with ASL 2.0 src/main/java/net/sourceforge/argparse4j/impl/type/FileArgumentType.java
# src/main/java/net/sourceforge/argparse4j/internal/TerminalWidth.java
License:       ASL 2.0 and MIT
URL:           http://argparse4j.sourceforge.net
Source0:       https://github.com/tatsuhiro-t/argparse4j/archive/%{name}-%{version}.tar.gz

BuildRequires: mvn(junit:junit)
%if %{?fedora} > 20
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif
BuildRequires: maven-local
BuildRequires: %{_bindir}/sphinx-build

BuildArch:     noarch

%description
Java port of Python's famous argparse command-line argument parser.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package docs
Summary:       Documentation for %{name}
Requires:      %{name}-javadoc = %{version}-%{release}

%description docs
Documentation for the %{name} library.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_remove_plugin :exec-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin

%mvn_file : %{name}

%build

%mvn_build

cd src/site/sphinx
%{__make} %{?_smp_mflags} html PACKAGE_VERSION=%{version}
rm -r _build/html/.buildinfo
rm -r _build/html/_static/jquery.js
rm -r _build/html/_static/underscore.js

%install
%mvn_install

sed -i "s|apidocs/|%{_javadocdir}/%{name}/|" $(find src/site/sphinx/_build/html/ -name "*.html")

%files -f .mfiles
%doc LICENSE.txt NEWS README.rst

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%files docs
%doc LICENSE.txt src/site/sphinx/_build/html/

%changelog
* Sat Jan 24 2015 gil cattaneo <puntogil@libero.it> 0.4.4-2
- fix license field
- remove bundled jquery

* Fri Jan 16 2015 gil cattaneo <puntogil@libero.it> 0.4.4-1
- update to 0.4.4

* Tue Mar 04 2014 gil cattaneo <puntogil@libero.it> 0.4.3-1
- initial rpm
